Name:           perl-Template-Toolkit
Version:        2.14
Release:        8%{?dist}
Summary:        Template processing system
Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://www.template-toolkit.org/
Source0:        http://search.cpan.org/CPAN/authors/id/A/AB/ABW/Template-Toolkit-%{version}.tar.gz
#Patch0:        https://rt.cpan.org/NoAuth/Bug.html?id=7864
Patch0:         %{name}-gdpngtest.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl >= 1:5.6.1, tetex-dvips, tetex-latex
BuildRequires:  perl(AppConfig), perl(Text::Autoformat), perl(GD::Graph3d), perl(GD::Graph)
BuildRequires:  perl(GD::Text), perl(Image::Info), perl(Image::Size), perl(Pod::POM)
BuildRequires:  perl(XML::DOM), perl(XML::RSS), perl(XML::XPath)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The Template Toolkit is a collection of modules which implement a
fast, flexible, powerful and extensible template processing system.
It was originally designed and remains primarily useful for generating
dynamic web content, but it can be used equally well for processing
any other kind of text based documents: HTML, XML, POD, PostScript,
LaTeX, and so on.

%package examples
Summary:        Examples of how to use Template Toolkit
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description examples
%{summary}.

%prep
%setup -q -n Template-Toolkit-%{version}
%patch0 -p0
find lib -type f | xargs chmod -c -x

# Filter false positive provides.
cat <<EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} \
| grep -v 'perl(bytes)' \
| grep -v 'perl(CGI)' \
| grep -v 'perl(XML::DOM::' \
| grep -v 'perl(XML::XPath::'
EOF
%define __perl_provides %{_builddir}/Template-Toolkit-%{version}/%{name}-prov
chmod +x %{__perl_provides}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor \
  TT_PREFIX=$RPM_BUILD_ROOT%{_datadir}/tt2 TT_DBI=n TT_ACCEPT=y
make %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT _docs
# install (+ INSTALLARCHLIB) instead of pure_install to get docs
# and the template library installed too
make install \
  PERL_INSTALL_ROOT=$RPM_BUILD_ROOT \
  INSTALLARCHLIB=$RPM_BUILD_ROOT%{perl_archlib} \
  TT_PREFIX=$RPM_BUILD_ROOT%{_datadir}/tt2
find $RPM_BUILD_ROOT -type f -name perllocal.pod -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*
mkdir _docs ; mv $RPM_BUILD_ROOT%{_datadir}/tt2/docs _docs
# Nuke buildroot where it hides
sed -i "s|$RPM_BUILD_ROOT||g" $RPM_BUILD_ROOT%{_datadir}/tt2/examples/ttree.cfg
sed -i "s|$RPM_BUILD_ROOT||g" $RPM_BUILD_ROOT%{perl_vendorarch}/Template/Config.pm

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes HACKING README TODO _docs/*
%{_bindir}/tpage
%{_bindir}/ttree
%{perl_vendorarch}/Template.pm
%{perl_vendorarch}/auto/Template
%{perl_vendorarch}/Template
%{_datadir}/tt2
# The examples get their own package due to size.
%exclude %{_datadir}/tt2/examples
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*

%files examples
%defattr(-,root,root,-)
%{_datadir}/tt2/examples

%changelog
* Tue Feb 28 2006 Tom "spot" Callaway <tcallawa@redhat.com> - 2.14-8
- really resolve bug 173756

* Tue Feb 28 2006 Tom "spot" Callaway <tcallawa@redhat.com> - 2.14-7
- use proper TT_PREFIX setting everywhere, resolve bug 173756

* Tue Feb 28 2006 Tom "spot" Callaway <tcallawa@redhat.com> - 2.14-6
- bump for FC-5

* Mon Jul 11 2005 Tom "spot" Callaway <tcallawa@redhat.com> - 2.14-5
- don't need Tie::DBI as a BuildRequires, since we're not running 
  the tests

* Mon Jul 11 2005 Tom "spot" Callaway <tcallawa@redhat.com> - 2.14-4
- put examples in their own subpackage

* Sat Jul  9 2005 Ville Skyttä <ville.skytta at iki.fi> - 2.14-3
- Filter false positive provides.
- Include template library, switch to %%{_datadir}/tt2.
- Tune build dependencies for full test suite coverage.
- Fix and enable GD tests.
- Include more documentation.
- Fine tune dir ownerships and file permissions.

* Fri Jul  8 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.14-2
- cleanups

* Wed Jul  6 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.14-1
- Initial package for Fedora Extras
